Skip to content
Permalink
Branch: master
Find file Copy path
Find file Copy path
Fetching contributors…
Cannot retrieve contributors at this time
139 lines (70 sloc) 2.95 KB
.. author:: Gökhan Sirin <g.sirin@gedankengut.de>
.. tag:: lang-php

Logo

_static/images/ioncube.png

ionCube Loader

.. tag_list::

Using ionCube encoded and secured PHP files requires a file called the ionCube Loader to be installed on the web server and made available to PHP.


Note

For this guide you should be familiar with the basic concepts of

Installation

The installation of the ionCube Loader is pretty straightforward.

First we have to download and extract it:

[isabell@stardust ~]$ wget https://downloads.ioncube.com/loader_downloads/ioncube_loaders_lin_x86-64.tar.gz
[isabell@stardust ~]$ tar -xvzf ioncube_loaders_lin_x86-64.tar.gz
[isabell@stardust ~]$

Tidy up your space if you want by removing the downloaded archive:

[isabell@stardust ~]$ rm ioncube_loaders_lin_x86-64.tar.gz
[isabell@stardust ~]$

Now we have to make sure that our PHP installation is loading this extension. Create the php.early.d directory which is holding custom configuration directives for PHP:

[isabell@stardust ~]$ mkdir etc/php.early.d
[isabell@stardust ~]$

As you know, your Uberspace supports multiple PHP versions. The ionCube Loader depends on the used PHP version. So let's find out which version is in place:

[isabell@stardust ~]$ uberspace tools version show php
Using 'PHP' version: '7.1'
[isabell@stardust ~]$

Warning

Make sure to replace "isabell" in the next step with your own username!

ionCube Loader for PHP 5.6

Create the following configuration directive if you are using PHP 5.6.

[isabell@stardust ~]$ echo 'zend_extension=/home/isabell/ioncube/ioncube_loader_lin_5.6.so' > etc/php.early.d/ioncube.ini
[isabell@stardust ~]$

ionCube Loader for PHP 7.0

Create the following configuration directive if you are using PHP 7.0.

[isabell@stardust ~]$ echo 'zend_extension=/home/isabell/ioncube/ioncube_loader_lin_7.0.so' > etc/php.early.d/ioncube.ini
[isabell@stardust ~]$

ionCube Loader for PHP 7.1

Create the following configuration directive if you are using PHP 7.1.

[isabell@stardust ~]$ echo 'zend_extension=/home/isabell/ioncube/ioncube_loader_lin_7.1.so' > etc/php.early.d/ioncube.ini
[isabell@stardust ~]$

ionCube Loader for PHP 7.2

Create the following configuration directive if you are using PHP 7.2.

[isabell@stardust ~]$ echo 'zend_extension=/home/isabell/ioncube/ioncube_loader_lin_7.2.so' > etc/php.early.d/ioncube.ini
[isabell@stardust ~]$

Changes to the PHP configuration will take effect after reloading PHP:

[isabell@stardust ~]$ uberspace tools restart php
Your php configuration has been loaded.
[isabell@stardust ~]$

Tested with IonCube 10.2.7, Uberspace 7.1.16

.. author_list::
You can’t perform that action at this time.